Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
sysopen_struct Struct Reference

## Data Fields
VALUE | fname
int | oflags
mode_t | perm

## Detailed Description

Definition at line 6004 of file io.c.

## Field Documentation

## ◆ fname

VALUE sysopen_struct::fname

Definition at line 6005 of file io.c.

Referenced by rb_file_open_str().

## ◆ oflags

int sysopen_struct::oflags

Definition at line 6006 of file io.c.

## ◆ perm

mode_t sysopen_struct::perm

Definition at line 6007 of file io.c.

The documentation for this struct was generated from the following file:

- io.c